USE [master]
GO

/****** Object:  Database [LocationDB]    Script Date: 03/04/2013 10:43:32 ******/
CREATE DATABASE [LocationDB]

ALTER DATABASE [LocationDB] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [LocationDB] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [LocationDB] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [LocationDB] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [LocationDB] SET ARITHABORT OFF 
GO

ALTER DATABASE [LocationDB] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [LocationDB] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [LocationDB] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [LocationDB] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [LocationDB] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [LocationDB] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [LocationDB] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [LocationDB] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [LocationDB] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [LocationDB] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [LocationDB] SET  DISABLE_BROKER 
GO

ALTER DATABASE [LocationDB] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [LocationDB] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [LocationDB] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [LocationDB] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [LocationDB] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [LocationDB] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [LocationDB] SET  READ_WRITE 
GO

ALTER DATABASE [LocationDB] SET RECOVERY FULL 
GO

ALTER DATABASE [LocationDB] SET  MULTI_USER 
GO

ALTER DATABASE [LocationDB] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [LocationDB] SET DB_CHAINING OFF 
GO


USE [LocationDB]
GO

/****** Object:  Table [dbo].[Locations]    Script Date: 03/04/2013 10:43:53 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Locations](
	[Name] [varchar](50) NOT NULL,
	[Latitude] [numeric](18, 6) NOT NULL,
	[Longitude] [numeric](18, 6) NOT NULL,
	[Description] [varchar](300) NULL,
 CONSTRAINT [PK_Table_1] PRIMARY KEY CLUSTERED 
(
	[Name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

INSERT INTO Locations
SELECT 'Mumbai', 18.9647, 72.8258, 'Mumbai formerly Bombay, is the capital city of the Indian state of Maharashtra.'
UNION ALL
SELECT 'Pune', 18.5236, 73.8478, 'Pune is the seventh largest metropolis in India, the second largest in the state of Maharashtra after Mumbai.'
UNION ALL
SELECT 'Alibaug', 18.6414, 72.8722, 'Alibaug is a coastal town and a municipal council in Raigad District in the Konkan region of Maharashtra, India.'

